# List My Numbers

## List All Numbers

## GET or POST Request

{% hint style="info" %}
<https://v1.api19.com/dids/my/list>
{% endhint %}

Get a list of all of your numbers on your account

{% tabs %}
{% tab title="Curl Post" %}

```
curl https://v1.api19.com/dids/my/list \
 -d 'key=api_token'
```

{% endtab %}

{% tab title="Curl Get" %}

```
curl https://v1.api19.com/dids/my/list?key=apikey
```

{% endtab %}

{% tab title="JSON Response" %}

```json
{
    "status": "ok",
    "dids": [
        {
            "did": "7207742222",
            "call_flow": "0",
            "fax_flow": "1",
            "user_id": "177",
            "price_tag": "inbound_usa_fax",
            "number_location": "usa",
            "offnet_carrier": "none",
            "ratecenter": "DENVER",
            "state": "CO",
            "country": "US",
            "e911": "0",
            "voicemail": "0",
            "notes": "none",
            "call_forward": "0"
        },
        {
            "did": "7207921111",
            "call_flow": "3",
            "fax_flow": "0",
            "user_id": "177",
            "price_tag": "inbound_usa",
            "number_location": "usa",
            "offnet_carrier": "none",
            "ratecenter": "DENVER",
            "state": "CO",
            "country": "US",
            "e911": "0",
            "voicemail": "2",
            "notes": "none",
            "call_forward": "0"
        }
    ]
}

```

{% endtab %}
{% endtabs %}

## Single Number Lookup

## GET or POST Request

{% hint style="info" %}
<https://v1.api19.com/dids/my/single>
{% endhint %}

{% tabs %}
{% tab title="Curl Post" %}

```
curl https://v1.api19.com/dids/my/single \
 -d 'key=api_token' \
 -d 'did=3033033333'
```

{% endtab %}

{% tab title="Curl Get" %}

```
curl https://v1.api19.com/dids/my/single?key=apikey&did=3033033333
```

{% endtab %}

{% tab title="JSON Response" %}

```json
{
    "status": "ok",
    "data": [
        {
            "did": "7207742222",
            "call_flow": "0",
            "fax_flow": "1",
            "user_id": "177",
            "price_tag": "inbound_usa_fax",
            "number_location": "usa",
            "offnet_carrier": "none",
            "ratecenter": "DENVER",
            "state": "CO",
            "country": "US",
            "e911": "0",
            "voicemail": "0",
            "notes": "none",
            "call_forward": "0"
        }
    ]
}

OR

{
  "status": "error",
  "error": "did not found"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.api19.com/my-inventory/list-my-numbers.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
